import os
import json


class Site:

    def __init__(self, file):

        # Necessary
        self.file = file

        # Created on readfile
        self.name = None
        self.url = None
        self.data = None
        self.ext = None

        self.readfile()

    def readfile(self):
        self.name = os.path.basename(self.file)
        site, self.ext = os.path.splitext(self.name)

        with open(self.file, 'r') as f:
            self.data = json.load(f)

        if 'url' in self.data:
            self.url = self.data['url']
